# Class MultipartInput.ProgressNotifier

java.lang.Object
org.apache.commons.fileupload2.core.MultipartInput.ProgressNotifier

Enclosing class:
  `MultipartInput`

public static class MultipartInput.ProgressNotifier extends Object
Internal class, which is used to invoke the `ProgressListener`.

## Constructor Summary

Constructors
Constructor
Description
`ProgressNotifier(ProgressListener progressListener, long contentLength)`
Creates a new instance with the given listener and content length.

## Method Summary

Modifier and Type
Method
Description
`void`
`noteItem()`
Called to indicate, that a new file item has been detected.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProgressNotifier

public ProgressNotifier(ProgressListener progressListener, long contentLength)
Creates a new instance with the given listener and content length.

Parameters:
  `progressListener` - The listener to invoke.
  `contentLength` - The expected content length.

## Method Details

### noteItem

public void noteItem()
Called to indicate, that a new file item has been detected.